Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.internet2.middleware.shibboleth.idp.profile
Class IdPProfileHandlerManager

    java.lang.Object
      edu.internet2.middleware.shibboleth.common.config.BaseService
          edu.internet2.middleware.shibboleth.common.config.BaseReloadableService
              edu.internet2.middleware.shibboleth.idp.profile.IdPProfileHandlerManager

All Implemented Interfaces:
  edu.internet2.middleware.shibboleth.common.profile.ProfileHandlerManager, edu.internet2.middleware.shibboleth.common.service.ReloadableService, edu.internet2.middleware.shibboleth.common.service.Service, org.springframework.beans.factory.BeanNameAware, org.springframework.context.ApplicationContextAware

    public class IdPProfileHandlerManager

extends edu.internet2.middleware.shibboleth.common.config.BaseReloadableService
implements edu.internet2.middleware.shibboleth.common.profile.ProfileHandlerManager

Implementation of a `ProfileHandlerManager` that maps the request path, without the servlet context, to a profile handler and adds support for authentication handlers.

Nested Class Summary

Nested classes/interfaces inherited from class edu.internet2.middleware.shibboleth.common.config.BaseReloadableService
`edu.internet2.middleware.shibboleth.common.config.BaseReloadableService.ConfigurationResourceListener`

Constructor Summary
`IdPProfileHandlerManager()` Constructor.

Method Summary
`edu.internet2.middleware.shibboleth.common.profile.AbstractErrorHandler` | `getErrorHandler()`
`Map<String,LoginHandler>` | `getLoginHandlers()` Gets the registered authentication handlers.
`edu.internet2.middleware.shibboleth.common.profile.ProfileHandler` | `getProfileHandler(javax.servlet.ServletRequest request)`
`Map<String,edu.internet2.middleware.shibboleth.common.profile.provider.AbstractRequestURIMappedProfileHandler>` | `getProfileHandlers()` Gets the registered profile handlers.
`protected void` | `loadNewErrorHandler(org.springframework.context.ApplicationContext newServiceContext)` Reads the new error handler from the newly created application context and loads it into this manager.
`protected void` | `loadNewLoginHandlers(org.springframework.context.ApplicationContext newServiceContext)` Reads the new authentication handlers from the newly created application context and loads it into this manager.
`protected void` | `loadNewProfileHandlers(org.springframework.context.ApplicationContext newServiceContext)` Reads the new profile handlers from the newly created application context and loads it into this manager.
`protected void` | `onNewContextCreated(org.springframework.context.ApplicationContext newServiceContext)`
`void` | `setErrorHandler(edu.internet2.middleware.shibboleth.common.profile.AbstractErrorHandler handler)` Sets the error handler.

Methods inherited from class edu.internet2.middleware.shibboleth.common.config.BaseReloadableService
`destroy, getPollingFrequency, getPollingRetryAttempts, getPollingTimer, initialize, reload, setPollingFrequency, setPollingRetryAttempts, setPollingTimer`

Methods inherited from class edu.internet2.middleware.shibboleth.common.config.BaseService
`getApplicationContext, getId, getReadWriteLock, getServiceConfigurations, getServiceContext, isDestroyed, isInitialized, loadContext, setApplicationContext, setBeanName, setInitialized, setServiceConfigurations, setServiceContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface edu.internet2.middleware.shibboleth.common.service.Service
`getId, isDestroyed, isInitialized`

Constructor Detail

### IdPProfileHandlerManager

    public IdPProfileHandlerManager()

  Constructor.

Method Detail

### getErrorHandler

    public edu.internet2.middleware.shibboleth.common.profile.AbstractErrorHandler getErrorHandler()

  Specified by:
    `getErrorHandler` in interface `edu.internet2.middleware.shibboleth.common.profile.ProfileHandlerManager`

### setErrorHandler

    public void setErrorHandler(edu.internet2.middleware.shibboleth.common.profile.AbstractErrorHandler handler)

  Sets the error handler.

  Parameters:
    `handler` - error handler

### getProfileHandler

    public edu.internet2.middleware.shibboleth.common.profile.ProfileHandler getProfileHandler(javax.servlet.ServletRequest request)

  Specified by:
    `getProfileHandler` in interface `edu.internet2.middleware.shibboleth.common.profile.ProfileHandlerManager`

### getProfileHandlers

    public Map<String,edu.internet2.middleware.shibboleth.common.profile.provider.AbstractRequestURIMappedProfileHandler> getProfileHandlers()

  Gets the registered profile handlers.

  Returns:
    registered profile handlers

### getLoginHandlers

    public Map<String,LoginHandler> getLoginHandlers()

  Gets the registered authentication handlers.

  Returns:
    registered authentication handlers

### onNewContextCreated

    protected void onNewContextCreated(org.springframework.context.ApplicationContext newServiceContext)
                                throws edu.internet2.middleware.shibboleth.common.service.ServiceException

  Specified by:
    `onNewContextCreated` in class `edu.internet2.middleware.shibboleth.common.config.BaseService`
  Throws:
    `edu.internet2.middleware.shibboleth.common.service.ServiceException`

### loadNewErrorHandler

    protected void loadNewErrorHandler(org.springframework.context.ApplicationContext newServiceContext)

  Reads the new error handler from the newly created application context and loads it into this manager.

  Parameters:
    `newServiceContext` - newly created application context

### loadNewProfileHandlers

    protected void loadNewProfileHandlers(org.springframework.context.ApplicationContext newServiceContext)

  Reads the new profile handlers from the newly created application context and loads it into this manager.

  Parameters:
    `newServiceContext` - newly created application context

### loadNewLoginHandlers

    protected void loadNewLoginHandlers(org.springframework.context.ApplicationContext newServiceContext)

  Reads the new authentication handlers from the newly created application context and loads it into this manager.

  Parameters:
    `newServiceContext` - newly created application context

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2011 Internet2. All Rights Reserved.